Subject: Can't get beta16 to work under Solaris 2.6

From: "Mark A. Horstman" <[email-masked]>
Date: Tue, 23 Dec 1997 13:55:35 -0600 (CST)

Friends, Romans, Countrypeople,

I've been running beta15 for some time now on my Sun Ultra2 under 
Solaris 2.6 just fine.  When I compiled and tried beta16 it won't 
run. Clients get the following message:

|wumpus# ftp wumpus
|Connected to wumpus.sbc.com.
|421 Service not available, remote server has closed connection
|ftp> quit
|wumpus#

and my console says:

|Dec 23 13:39:51 wumpus ftpd[11887]: exiting on signal 11

11 is a SIGSEGV (segmentation violation), but I can't find a core
anywhere!

My /etc/inetd.conf line hasn't changed:

|ftp    stream  tcp     nowait  root    /usr/sbin/in.wuftpd     in.wuftpd -a

The strange thing is when I try adding the '-d' and/or the '-v' options 
to debug the darn thing works!

I didn't change ANY of the source... Really!... Ok, I DID the change
the MANDIR macro in makefiles/Makefile but THAT'S IT... nothing else, 
I didn't change anything else... not a thing... Ok, maybe I modified 
the INSTALL macro a little bit in makefiles/Makefile but that's REALLY 
all... really :-).

I'm back to beta15 for now.  Anyone have any suggestions?

  +--------------------------------------------------------------------------+
   Mark A. Horstman                                         Southwestern Bell
   [email-masked]                            One Bell Center, Rm. 34E07
   314-235-3417                                          St. Louis, MO  63101